/******************************************/
/* def.h */

#include "xgscalar.h"


#define EPS0            8.8542e-12      /* (F/m)  */
#define NperTORR        8.3221e20
#define HISTMAX         512
#define DADI_REAL       double

#define NSMAX           12

#define QUIET_START     0
#define UNIFORM_XY      1
#define RANDOM          2

#define GROUNDED        0
#define VOLTAGE_D       1
#define CURRENT_D       2

#define DIRICHLET       0
#define PERIODIC        1
#define NEUMANN         2

#define LEFT            0
#define RIGHT           1
#define UP              2
#define DOWN            3
#define UL_CORN         4
#define UR_CORN         5
#define LL_CORN         6
#define LR_CORN         7
#define NO_FACE         8

#define SIDES           2

#ifndef max
#define max(x, y)       (((x) > (y)) ? (x) : (y))
#endif

#ifndef min
#define min(x, y)       (((x) < (y)) ? (x) : (y))
#endif

#define SNG_MIN         1E-5

#ifndef True
#define True            1
#endif

#ifndef False
#define False           0
#endif

/**************************************/
/* defining internal structures       */

#define NSTRCTYPEMAX    20

typedef struct structure IntStructType;
struct structure {
  char  name[20];
  int   yu;
  int   yl;
  int   xl;
  int   xr;
  SCALAR matrl;
  SCALAR volt;
  int   type;
};

/**************************************/
